Hoe kan ik de iOS 5-app-change-veeg-functie met vier vingers simuleren?

Ik heb geen toegang tot een iPad met iOS 5 (en aangezien Apple geen downgrading toestaat (!), Ga ik mijn testapparaat niet upgraden).

Hoe kan ik de simulator gebruiken om de 4-vinger app-change swipe-functionaliteit te testen die nieuw is voor iOS 5? Is dit mogelijk?

Bedankt

3

1 antwoord

In iOS4.3 you could enable "Multitasking Gestures" from Settings > General so long as your iPad is in developer mode (Xcode > Organiser > Devices > [Your iPad] > Use for development) for which you need an iOS dev subscription, I think.

Apple heeft dit alleen voor ontwikkelaars ingeschakeld en iOS5 staat dit niet langer toe voor de iPad 1 (zelfs voor ontwikkelaars, wat erg frustrerend is).

http://downloadsquad.switched.com/2011/03/14/enable-ios-4-3-gesture-controls-on-your-ipad-with-free-xcode-3-d/


Op de Simulator kunt u de viervinger-app-change-veegbeweging simuleren door tweemaal op de startknop te tikken en vervolgens de volgende toepassing te selecteren. De volgorde van de aanvragen en de overgang verschillen, maar de functionaliteit is in principe hetzelfde. Ik weet niet zeker precies hoe zit het met deze functie die u probeert te testen?

4
toegevoegd
Natuurlijk is het opnieuw inschakelen van iOS5 een eenvoudige Cydia Tweak. U kunt de multitouch-gebaren op iOS 1 met iOS5 ook opnieuw inschakelen zonder jailbreaking. De techniek gebruikt eigenlijk redsn0w, gewoon in plaats van het te vertellen aan jailbreak en Cydia te installeren, installeert het de enkele tweak zonder een jailbreak. instructies
toegevoegd de auteur Ian, de bron
@TRedman - je zou dan in staat moeten zijn om de Xcode ontwikkelaarsmodus te gebruiken, omdat je nog steeds op iOS 4 bent. Tenzij je "Gebruik voor ontwikkeling" op je testapparaat om de een of andere reden vermijdt?
toegevoegd de auteur Ian, de bron
@TRedman Slecht, ik heb de versie verkeerd gelezen die je draaide. 4.2.1 heeft helemaal geen 4-vingerige gebaarcode, dus deze kan niet worden ingeschakeld. Totdat je een meer recente versie van iOS op het apparaat kunt gebruiken, denk ik niet dat je dit helemaal kunt doen.
toegevoegd de auteur Ian, de bron
Bedankt, dat wist ik niet. Helaas, ik gebruik mijn iPad met 4.2.1 en moet dat zo houden voor het testen van al onze andere apps.
toegevoegd de auteur Tom Redman, de bron
@Ian, ik gebruik de iPad voor ontwikkeling met XCode. Het draait 4.2.1, waarvan het multi-touch gebaar niet beschikbaar lijkt in Algemeen> Instellingen.
toegevoegd de auteur Tom Redman, de bron